<app-layout>
    <div class="row my-4">
      <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
        <mat-card>
          <mat-card-header>
            <mat-card-title>Personal Information</mat-card-title>
          </mat-card-header>
          <mat-card-content *ngIf="showForm">
            <form class="example-form mt-2" [formGroup]="form">
              <div class="row mat-typography p-4">
                <div class="col-6">
                  <mat-form-field appearance="outline" class="w-100">
                    <mat-label>First Name</mat-label>
                    <input matInput placeholder="First Name" formControlName="firstName" type="text" name="firstName" required>
                    <mat-error>Enter valid input</mat-error>
                  </mat-form-field>
                </div>
                <div class="col-6">
                  <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Last Name</mat-label>
                    <input matInput placeholder="Last Name" formControlName="lastName" type="text" name="lastName" required>
                    <mat-error>Enter valid input</mat-error>
                  </mat-form-field>
                </div>
                <div class="col-6">
                  <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Phone</mat-label>
                    <input matInput placeholder="Phone" formControlName="contact" type="tel" name="contact" required>
                    <mat-icon matSuffix>phone</mat-icon>
                    <mat-error>Enter valid phone</mat-error>
                  </mat-form-field>
                </div>
                <div class="col-6">
                  <p class="label mb-0"><small>Email</small></p>
                  <p class="value">{{user.username ? user.username : 'Not Provided'}}</p>
                </div>
                <div class="col-6">
                  <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Country</mat-label>
                    <mat-select formControlName="country" name="country">
                      <mat-option *ngFor="let _country of countries" [value]="_country">
                        {{_country}}
                      </mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>
                <div class="col-6">
                  <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Currency</mat-label>
                    <mat-select formControlName="currency" name="currency">
                      <mat-option *ngFor="let _currency of currencies" [value]="_currency">
                        {{_currency}}
                      </mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>
              </div>
            </form>
          </mat-card-content>
          <mat-card-actions align="right" class="p-2">
            <mat-progress-spinner *ngIf="savingProfile"
              class="ml-5"
              [color]="'primary'"
              [diameter]="50"
              [mode]="'indeterminate'">
            </mat-progress-spinner>
            <button mat-flat-button color="primary" *ngIf="!savingProfile" class="btn-black" (click)="saveProfile()">Save Profile</button>
          </mat-card-actions>
        </mat-card>
      </div>
      <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
        <mat-card>
          <mat-card-header>
            <mat-card-title>Company Information</mat-card-title>
          </mat-card-header>
          <mat-card-content *ngIf="showForm">
            <form class="example-form mt-2" [formGroup]="form1">
              <div class="row mat-typography p-4">
                <div class="col-6">
                  <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Name</mat-label>
                    <input matInput placeholder="Name" formControlName="name" type="text" name="name" required>
                    <mat-error>Enter valid input</mat-error>
                  </mat-form-field>
                </div>
                <div class="col-6">
                  <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Phone</mat-label>
                    <input matInput placeholder="Phone" formControlName="contact" type="tel" name="contact" required>
                    <mat-icon matSuffix>phone</mat-icon>
                    <mat-error>Enter valid phone</mat-error>
                  </mat-form-field>
                </div>
                <div class="col-12">
                  <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Address Line 1</mat-label>
                    <input matInput placeholder="Address" formControlName="address" type="text" name="address" required>
                    <mat-error>Enter valid input</mat-error>
                  </mat-form-field>
                </div>
                <div class="col-12">
                  <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Address Line 2</mat-label>
                    <input matInput placeholder="Address" formControlName="address2" type="text" name="address2" required>
                    <mat-error>Enter valid input</mat-error>
                  </mat-form-field>
                </div>
                <div class="col-6">
                  <mat-form-field appearance="outline" class="w-100">
                    <mat-label>City</mat-label>
                    <input matInput placeholder="City" formControlName="city" type="text" name="city" required>
                    <mat-error>Enter valid input</mat-error>
                  </mat-form-field>
                </div>
                <div class="col-6">
                  <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Post code</mat-label>
                    <input matInput placeholder="Post Code" formControlName="postcode" type="text" name="postcode" required>
                    <mat-error>Enter valid input</mat-error>
                  </mat-form-field>
                </div>
                <div class="col-6">
                  <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Country</mat-label>
                    <mat-select formControlName="country" name="country">
                      <mat-option *ngFor="let _country of countries" [value]="_country">
                        {{_country}}
                      </mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>
                <div class="col-6">
                  <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Currency</mat-label>
                    <mat-select formControlName="currency" name="currency">
                      <mat-option *ngFor="let _currency of currencies" [value]="_currency">
                        {{_currency}}
                      </mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>
              </div>
            </form>
          </mat-card-content>
          <mat-card-actions align="right" class="p-2">
            <mat-progress-spinner *ngIf="savingCompany"
              class="ml-5"
              [color]="'primary'"
              [diameter]="50"
              [mode]="'indeterminate'">
            </mat-progress-spinner>
            <button *ngIf="!savingCompany" mat-flat-button color="primary" class="btn-black" (click)="saveCompany()">Save Company</button>
          </mat-card-actions>
        </mat-card>
      </div>
    </div>
</app-layout>